<script lang="ts">
import Vue from 'vue';
import { SlpHorizontalRule } from '~/components/common/index';

export default Vue.extend({
  name: 'CaseStudyStickySidebar',
  components: {
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  data() {
    return {
      facebookUrl: '',
      twitterUrl: '',
      linkedInUrl: '',
    };
  },
  mounted() {
    const siteUrl = window.location.href;
    const { title } = window.document;

    this.facebookUrl = `http://www.facebook.com/sharer.php?u=${siteUrl}`;
    this.twitterUrl = `http://twitter.com/share?url=${siteUrl}&text=${title}`;
    this.linkedInUrl = `https://www.linkedin.com/shareArticle?mini=true&url=${siteUrl}&title=${title}&summary=&source=`;
  },
});
</script>

<template>
  <div class="sticky-sidebar">
    <div
      v-for="benefit in data.sticky_benefits"
      :key="benefit.label"
      class="benefit"
    >
      <SlpTypography variant="heading2-bold">{{ benefit.stat }}</SlpTypography>
      <SlpTypography variant="body3">{{ benefit.label }}</SlpTypography>
      <SlpHorizontalRule />
    </div>
    <div class="benefit">
      <SlpTypography variant="heading5-bold">{{
        data.get_started
      }}</SlpTypography>
      <SlpButton
        variant="primary"
        :href="data.free_trial_button.href"
        class="slp-mt-16 get-free-trial"
        >{{ data.free_trial_button.text }}</SlpButton
      >
      <SlpButton
        variant="tertiary"
        :href="data.learn_about_pricing_button.href"
        class="slp-mt-16"
      >
        <SlpTypography variant="body3-bold">
          {{ data.learn_about_pricing_button.text }}
        </SlpTypography>
        <SlpIcon
          name="chevron-lg-right"
          variant="product"
          alt="Chevron Right Icon"
        />
      </SlpButton>
      <div class="social">
        <a class="social__icon" :href="facebookUrl"
          ><SlpIcon name="facebook-circle" variant="marketing" size="md"
        /></a>
        <a class="social__icon" :href="twitterUrl"
          ><SlpIcon name="twitter-circle" variant="marketing" size="md"
        /></a>
        <a class="social__icon" :href="linkedInUrl"
          ><SlpIcon name="linkedin-circle" variant="marketing" size="md"
        /></a>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.sticky-sidebar {
  top: 128px;
  min-width: 190px;
  position: sticky;
  align-self: flex-start;
  display: flex;
  flex-direction: column;

  .social {
    display: flex;
    margin-top: $spacing-32;

    .slp-icon {
      width: 24px;
      height: 24px;
    }

    &__icon:not(:last-child) {
      margin-right: $spacing-16;
    }
  }

  .benefit {
    display: flex;
    flex-direction: column;

    .slp-hr {
      margin-top: $spacing-32;
      margin-bottom: $spacing-32;
    }
  }

  .get-free-trial {
    width: fit-content;
  }
}

@media (max-width: $breakpoint-sm) {
  .sticky-sidebar {
    display: none;
  }
}
</style>
